      program r_block_gmt
*------------------------------------------
*   read BLOCK + coord(lon,lat)
*   input file, unit=10 file='block'
*   input file, uinit=11, file='img' - data
*        integer*2 
*   input file, unit=12 file='bb.blk'
*               unit=13 file='ll.blk'
*        integer*2
*
*   output file, unit=14 'img.gmt'
*                    Solovjev 07/2010
*------------------------------------------
      USE MSFLIB
      implicit none
      integer i,j,ios,k,kb,kr,kl
      real lat,lon,rr,lt,bt,rt
      integer*2 dlat(2055,1456),tlat(2055,1456)
      integer*2,allocatable:: dat(:,:)   !!! pixel,stroka
      integer,allocatable:: dat4(:,:)   !!! pixel,stroka
      integer*2,allocatable:: bb(:,:)
      integer*2,allocatable:: ll(:,:)
      integer st_stroka,st_pixel,ipix,istr
*--------------------------------------------

      open(unit=14,file='imgtr2.gmt')
c      open(unit=24,form='BINARY',iostat=ios,file='img4.gmt')

      open(unit=11,status='OLD',form='BINARY',iostat=ios,file='img')
c        write(*,*)st_stroka,st_pixel,ipix,istr

       read(unit=11,iostat=ios)st_stroka,st_pixel,ipix,istr
c       read(unit=11,iostat=ios)st_stroka,st_pixel,istr,ipix
        write(*,*)st_stroka,st_pixel,ipix,istr

          allocate(dat(ipix,istr))
          allocate(dat4(ipix,istr))
          allocate(bb(ipix,istr))
          allocate(ll(ipix,istr))

       read(unit=11,iostat=ios)dat
        write(*,*)'rddat'

       open(unit=12,status='old',form='binary',iostat=ios,
     &  file='bb.blk')
       open(unit=13,status='old',form='binary',iostat=ios,
     &  file='ll.blk')

        read(unit=12,iostat=ios)tlat
        read(unit=13,iostat=ios)dlat
        write(*,*)'rd bb ll',istr,ipix
        k=0
c      do i=1,2055              !!! pixel
       do j=1,1456             !!! stroka
       k=k+1;kb=0;kr=0
       do i=1,2055              !!! pixel
c       do j=1,1456             !!! stroka
   
         lon=real(dlat(i,j))/10.
c         lat=real(bb(i,j))/10.
         if (lon.ge.-399.9) then
           kb=kb+1
           kl=i
           if (kr.eq.0) kr=i
         endif


c        write(*,*)dlat

       enddo
       if (kr.gt.0) write(*,'(5i5,4f6.1)') j,k,kr,kl,kb,
     &  real(dlat(kr,j))/10.,real(tlat(kr,j))/10.,
     &  real(dlat(kl,j))/10.,real(tlat(kl,j))/10.
       enddo

c      do i=1,ipix,2              !!! pixel
       do j=1,istr,1             !!! stroka
       k=0;kb=0;kr=0
       do i=1,ipix,1              !!! pixel
c       do j=1,istr,2             !!! stroka
   
         lon=real(ll(i,j))/10.
         lat=real(bb(i,j))/10.
         rr=real(dat(i,j))/10.
c         dat4(i,j)=rr
        if (lon.ge.-399.9) k=k+1
        if (lat.ge.-399.9) kb=kb+1
        if(lon.ge.-399.9.and.lat.ge.-399.9) then
        lt=lon;bt=lat
        
         if (rr>10.) then 
         write(14,*)lon,lat,rr
         rt=rr-273
         kr=kr-1
         endif
        endif
c         write(14,*)lon,lat,rr

       enddo
       write(*,*)j,'lon lat',kb,-kr,int(lt/0.1),int(bt/0.1),int(rt/1.0)
      enddo
      write(*,'(10f7.2)')((dat(1656,k)/10.,bb(1656,k)/10.),k=123,165)
c      print *, i,j,dat(i,j)
c       write(unit=24,iostat=ios)dat4

       deallocate(dat,bb,ll,dat4)

        close(unit=11)
        close(unit=12)
        close(unit=13)
        close(unit=14)
c        close(unit=24)

      end
