      program r_block_gmt
*------------------------------------------
*   input file, unit=10 file='block'
*   input file, uinit=11, file='img' - ࠣ    integer*2 
*   input file, unit=12 file='bb.blk'
*                    unit=13 file='ll.blk'       integer*2
*   output file, unit=14 'img.gmt'
*------------------------------------------
      USE MSFLIB
      implicit none
      integer i,j,ios
      real lat,lon,rr
      integer*2,allocatable:: dat(:,:)   !!! pixel,stroka
      integer*2,allocatable:: bb(:,:)
      integer*2,allocatable:: ll(:,:)
      integer st_stroka,st_pixel,ipix,istr
*--------------------------------------------
      open(unit=14,file='img.gmt')
      open(unit=11,status='OLD',form='BINARY',iostat=ios,file='img')

       read(unit=11,iostat=ios)st_stroka,st_pixel,ipix,istr
        write(*,*)st_stroka,st_pixel,ipix,istr

          allocate(dat(ipix,istr))
          allocate(bb(ipix,istr))
          allocate(ll(ipix,istr))

       read(unit=11,iostat=ios)dat

       open(unit=12,status='old',form='binary',iostat=ios,file='bb.blk')
       open(unit=13,status='old',form='binary',iostat=ios,file='ll.blk')
        read(unit=12,iostat=ios)bb
        read(unit=13,iostat=ios)ll

c      do i=1,ipix,2              !!! pixel
c       do j=1,istr,2             !!! stroka
      do j=1,istr,2              !!! stroka
       do i=1,ipix,2             !!! pixel
         lon=real(ll(i,j))/10.
         lat=real(bb(i,j))/10.
         rr=real(dat(i,j))/10.
        if(lon.ge.-399.9.and.lat.ge.-399.9) then
         write(14,*)lon,lat,rr
        endif
       enddo
      enddo
       deallocate(dat,bb,ll)

      end

